"""update null dag for transfer plugin

Revision ID: 4a69a414ffc7
Revises: 3d0591e1b28e
Create Date: 2021-11-04 14:53:59.589140

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "4a69a414ffc7"
down_revision = "3d0591e1b28e"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content= regexp_replace(convert_from(content, 'utf-8'), E'transfer_input_files = ', E'transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://')::bytea
        WHERE workflow_name='null_dag' AND filename like ('%.condor')
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content= regexp_replace(convert_from(content, 'utf-8'), E'transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://', E'transfer_input_files = ')::bytea
        WHERE workflow_name='null_dag' AND filename like ('%.condor')
        """
    )
