"""add standard imaging capability

Revision ID: 78cb60242d23
Revises: 46dbb53ae77f
Create Date: 2021-06-28 13:04:33.828113

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "78cb60242d23"
down_revision = "46dbb53ae77f"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        INSERT INTO capabilities (capability_name, capability_steps, max_jobs)
        VALUES ('std_imaging', 'prepare-and-run-workflow std_imaging\nawait-workflow\nawait-qa', 20)
        """
    )

    op.execute(
        """
        INSERT INTO workflows (workflow_name)
        VALUES ('std_imaging')
        """
    )


def downgrade():
    op.execute(
        """
        DELETE FROM capabilities WHERE capability_name='std_imaging'
        """
    )

    op.execute(
        """
        DELETE FROM workflows WHERE workflow_name='std_imaging'
        """
    )
